Bug 478316 - Review Request: Farsight2 - GStreamer libraries for videoconferencing
Review Request: Farsight2 - GStreamer libraries for videoconferencing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 16:51 EST by Brian Pepple
Modified: 2008-12-31 18:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-31 18:57:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2008-12-27 16:51:23 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/farsight2.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/farsight2-0.0.6-1.fc10.src.rpm
Description: Farsight2 is a collection of GStreamer modules and libraries for
videoconferencing.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1023264
Comment 1 manuel wolfshant 2008-12-30 15:07:59 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM:
farsight2.src: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 15)
=> not a big deal, but would be nice to have this fixed before commit
binary RPM:
farsight2-python.x86_64: W: no-documentation
=> not a problem, docs are in -devel
farsight2-devel: empty
farsight2:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.                         
SHA1SUM of package: a031937091ab40be75d8a154f01de081c9fc8615 farsight2-0.0.6.tar.gz
[x] Package is not known to require ExcludeArch
[x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-] The spec file handles locales properly.
[x] ldconfig called in %post and %postun if required.
[x] Package must own all directories that it creates.
[x] Package requires other packages for directories it uses.
[x] Package does not contain duplicates in %files.
[x] Permissions on files are set properly.
[x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
[x] Package consistently uses macros.
[x] Package contains code, or permissable content.
[-] Large documentation files are in a -doc subpackage, if required.
[x] Package uses nothing in %doc for runtime.                                                                     [x] Header files in -devel subpackage, if present.
[-] Static libraries in -devel subpackage, if present.
[x] Package requires pkgconfig, if .pc files are present.
[x] Development .so files in -devel subpackage, if present.
[x] Fully versioned dependency in subpackages, if present.
[x] Package does not contain any libtool archives (.la).
[-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x] Package does not own files or directories owned by other packages.
[x] Final provides and requires are sane.


=== SUGGESTED ITEMS ===
[x] Latest version is packaged.
[x] Package does not include license text files separate from upstream.
[-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
1. cosmetic problems with the source rpm:
- Duplicate BuildRequires: glib2-devel (by gstreamer-devel)
- farsight2.src: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 15)
2. adding INSTALL="install -p" to the make install line will preserve the timestamps of the docs; I've verified that in a local mock build, you get for instance:
-rw-r--r--    1 root    root             2320 Dec 12 00:35 /usr/share/gtk-doc/html/farsight2-plugins-0.10/pt02.html
-rw-r--r--    1 root    root              472 Dec 12 00:35 /usr/share/gtk-doc/html/farsight2-plugins-0.10/right.png
-rw-r--r--    1 root    root             2331 Dec 12 00:35 /usr/share/gtk-doc/html/farsight2-plugins-0.10/style.css
-rw-r--r--    1 root    root              406 Dec 12 00:35 /usr/share/gtk-doc/html/farsight2-plugins-0.10/up.png
instead of:
-rw-r--r--    1 root    root             2320 Dec 30 20:26 /usr/share/gtk-doc/html/farsight2-plugins-0.10/pt02.html
-rw-r--r--    1 root    root              472 Dec 30 20:26 /usr/share/gtk-doc/html/farsight2-plugins-0.10/right.png
-rw-r--r--    1 root    root             2331 Dec 30 20:26 /usr/share/gtk-doc/html/farsight2-plugins-0.10/style.css
-rw-r--r--    1 root    root              406 Dec 30 20:26 /usr/share/gtk-doc/html/farsight2-plugins-0.10/up.png



================
*** APPROVED *** but please take care of the above
================
Comment 2 Brian Pepple 2008-12-30 17:34:42 EST
New Package CVS Request
=======================
Package Name: farsight2
Short Description: Libraries for videoconferencing
Owners: bpepple
Branches:
InitialCC:
Comment 3 Kevin Fenzi 2008-12-31 00:55:52 EST
cvs done.
Comment 4 Brian Pepple 2008-12-31 18:57:56 EST
thanks for the review.

Imported & built for devel.

Note You need to log in before you can comment on or make changes to this bug.